{
  description = "scan2paperless flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    flake-utils.url = "github:numtide/flake-utils";

    devshell.url = "github:numtide/devshell";
    devshell.inputs.nixpkgs.follows = "nixpkgs";

    deno2nix.url = "git+https://git.pub.solar/b12f/deno2.nix.git";
  };

  outputs = {
    self,
    nixpkgs,
    flake-utils,
    devshell,
    deno2nix,
  }:
    flake-utils.lib.simpleFlake {
      inherit self nixpkgs;

      name = "scan2paperless";

      preOverlays = [
        devshell.overlays.default
        deno2nix.overlays.default
      ];

      overlay = ./overlay.nix;

      shell = { pkgs }: pkgs.devshell.mkShell {
        imports = [ ];

        # Add additional packages you'd like to be available in your devshell
        # PATH here
        devshell.packages = with pkgs; [
          deno
          sane-backends
          python310Packages.img2pdf
        ];

        bash.extra = ''
          export NVIM_USE_DENOLS=1
        '';
      };
    };
}
